| OpendTect 8.0

Loading...
Searching...
No Matches
Public Member Functions | Protected Member Functions | Protected Attributes | List of all members
GenericTransformND::Transform1D Class Referenceabstract
Algo

`#include <transform.h>`

Inheritance diagram for GenericTransformND::Transform1D:
[legend]

## Public Member Functions
virtual | ~Transform1D ()
virtual bool | init ()
virtual bool | run (bool parallel)=0
void | setDir (bool forward)
void | setInputData (const float *)
void | setInputData (const float_complex *)
void | setOutputData (float *)
void | setOutputData (float_complex *)
void | setSampling (int samplespacing)
void | setScope (int nr, const int *batchstarts)
void | setScope (int nr, int batchsampling)
void | setSize (int)

## Protected Member Functions
| Transform1D ()

## Protected Attributes
int | batchsampling_
const int * | batchstarts_
const float_complex * | cinput_
float_complex * | coutput_
bool | forward_
int | nr_
const float * | rinput_
float * | routput_
int | sampling_
int | sz_

## Detailed Description

<>

## Constructor & Destructor Documentation

## ◆ ~Transform1D()

virtual GenericTransformND::Transform1D::~Transform1D | ( |  | ) |
| inline virtual

## ◆ Transform1D()

GenericTransformND::Transform1D::Transform1D | ( |  | ) |
| protected

## Member Function Documentation

## ◆ init()

virtual bool GenericTransformND::Transform1D::init | ( |  | ) |
| inline virtual

Reimplemented in Fourier::CC::CC1D, and DWT::FilterWT1D.

## ◆ run()

virtual bool GenericTransformND::Transform1D::run | ( | bool | parallel | ) |
| pure virtual

Implemented in Fourier::CC::CC1D, and DWT::FilterWT1D.

## ◆ setDir()

void GenericTransformND::Transform1D::setDir | ( | bool | forward | ) |

## ◆ setInputData() [1/2]

void GenericTransformND::Transform1D::setInputData | ( | const float * |  | ) |

## ◆ setInputData() [2/2]

void GenericTransformND::Transform1D::setInputData | ( | const float_complex * |  | ) |

## ◆ setOutputData() [1/2]

void GenericTransformND::Transform1D::setOutputData | ( | float * |  | ) |

## ◆ setOutputData() [2/2]

void GenericTransformND::Transform1D::setOutputData | ( | float_complex * |  | ) |

## ◆ setSampling()

void GenericTransformND::Transform1D::setSampling | ( | int | samplespacing | ) |

Parameters

  samplespacing | sampling within a signal.

## ◆ setScope() [1/2]

void GenericTransformND::Transform1D::setScope | ( | int | nr,
|  | const int * | batchstarts )

Parameters

  nr | number of signals
  batchstarts | pointer to array with the indices of the signal starts.

## ◆ setScope() [2/2]

void GenericTransformND::Transform1D::setScope | ( | int | nr,
|  | int | batchsampling )

Parameters

  nr | number of signals
  batchsampling | number of samples between signal starts.

## ◆ setSize()

void GenericTransformND::Transform1D::setSize | ( | int |  | ) |

## Member Data Documentation

## ◆ batchsampling_

int GenericTransformND::Transform1D::batchsampling_
| protected

## ◆ batchstarts_

const int* GenericTransformND::Transform1D::batchstarts_
| protected

## ◆ cinput_

const float_complex* GenericTransformND::Transform1D::cinput_
| protected

## ◆ coutput_

float_complex* GenericTransformND::Transform1D::coutput_
| protected

## ◆ forward_

bool GenericTransformND::Transform1D::forward_
| protected

## ◆ nr_

int GenericTransformND::Transform1D::nr_
| protected

## ◆ rinput_

const float* GenericTransformND::Transform1D::rinput_
| protected

## ◆ routput_

float* GenericTransformND::Transform1D::routput_
| protected

## ◆ sampling_

int GenericTransformND::Transform1D::sampling_
| protected

## ◆ sz_

int GenericTransformND::Transform1D::sz_
| protected

Generated at
for the OpendTect seismic interpretation project. Copyright (C): dGB Beheer B.V. 1995-2025